package com.elephant.framework.galaxy.aroad.module.zhjs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.elephant.framework.galaxy.aroad.module.common.entity.KeyValues;
import com.elephant.framework.galaxy.aroad.module.zhjs.entity.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 工程项目信息表

 *
 * @author wangjian
 * @date 2019-04-08 18:14:32
 */
public interface ZhjsGcxmService extends IService<ZhjsGcxm> {
    /**
     * 根据项目ID查询项目情况
     * @param xmid
     * @return
     */
    ZhjsXmqk getZhjsXmqkByXmid(String xmid);

    /**
     * 查询综合展示图一数据
     */
    List<ZhjsZhzsOne> getZhjsZhzsOneDatas();

    /**
     * 查询综合展示图三数据
     */
    List<ZhjsZhzsThree> getZhjsZhzsThreeDatas();

    /**
     * 查询综合展示图二数据
     */
    List<KeyValues> getZhjsZhzsTwoDatas(String city);

    /**
     * 根据项目名称分页模糊查询数据
     */
    IPage<ZhjsGcxm> getZhjsGcxmPageByProName(Page page, String proname);

    /**
     * 查询项目信息
     */
    List<ZhjsGcxmShape> getGcxmAndShape(Integer attribute,Integer invmodel);

    /**
     * 获取token
     */
    String getTokenData();

    /**
     * 通过项目Id获取汇总明细
     * @return
     */
    String getHzmxByProId(String token, String proId);
}
